Package org.eclipse.m2m.atl.dsls.textsource

## Class IFileTextSource

- java.lang.Object
- - org.eclipse.m2m.atl.dsls.textsource.TextSource
  - - org.eclipse.m2m.atl.dsls.textsource.IFileTextSource

    public class IFileTextSource
    extends TextSource

IFile text utility.

### Constructor Summary

Constructors
`IFileTextSource​(org.eclipse.core.resources.IFile file)` Creates a new IFileTextSource.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.core.resources.IFile` `getFile()`
`java.io.InputStream` `openStream()` Returns an input stream of the text source.

### Methods inherited from class org.eclipse.m2m.atl.dsls.textsource.TextSource

`openBufferedReader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IFileTextSource

    public IFileTextSource​(org.eclipse.core.resources.IFile file)

Creates a new IFileTextSource.

Parameters:
  `file` - the file to manage

### Method Detail

#### getFile

    public org.eclipse.core.resources.IFile getFile()

#### openStream

    public java.io.InputStream openStream()
                                   throws java.io.IOException

Returns an input stream of the text source.

Specified by:
  `openStream` in class `TextSource`
Returns:
  an input stream of the text source
Throws:
  `java.io.IOException`
See Also:
  `TextSource.openStream()`